export default CaseStatusesApi;
declare namespace CaseStatusesApi {
    export { getStatusesList as getList };
    export { getStatus as get };
    export { updateStatus as update };
    export { getStatusesLookup as getLookup };
    export { deleteStatus as delete };
    export { addStatus as add };
}
declare function getStatusesList(params: any): Promise<{
    items: any;
    next: any;
}>;
declare function getStatus({ itemId: id }: {
    itemId: any;
}): Promise<any>;
declare function updateStatus({ itemInstance, itemId: id }: {
    itemInstance: any;
    itemId: any;
}): Promise<any>;
declare function getStatusesLookup(params: any): Promise<{
    items: any;
    next: any;
}>;
declare function deleteStatus({ id }: {
    id: any;
}): Promise<any>;
declare function addStatus({ itemInstance }: {
    itemInstance: any;
}): Promise<any>;
